/*
 * @Author: zc
 * @description 数据统计-话务统计
 */
import request from '@/utils/request';
/**
 * @description 话务统计列表查询
 * @param {object} params
 */
export const callList = (params: object) => {
	return request({
		url: `/api/v1/BiCall/calls`,
		method: 'get',
		params,
	});
};
/**
 * @description 坐席话务统计分析
 * @param {object} params
 */
export const callAgent = (params: object) => {
	return request({
		url: `/api/v1/BiCall/seats`,
		method: 'get',
		params,
	});
};
/**
 * @description 坐席小休统计
 * @param {object} params
 */
export const callRest = (params: object) => {
	return request({
		url: `/api/v1/BiCall/rests`,
		method: 'get',
		params,
	});
};

/**
 * @description 坐席转接统计
 * @param {object} params
 */
export const callTransfer = (params: object) => {
	return request({
		url: `/api/v1/BiCall/seatswitch`,
		method: 'get',
		params,
	});
}
/**
 * @description 通话时段统计
 * @param {object} params
 */
export const callPeriod = (params: object) => {
	return request({
		url: `/api/v1/BiCall/hourcall`,
		method: 'get',
		params,
	});
}
/**
 * @description 热线号码统计
 * @param {object} params
 */
export const callHotline = (params: object) => {
	return request({
		url: `/api/v1/BiCall/gateway-query`,
		method: 'get',
		params,
	});
}